SG_PLANE(3)

NAME
SG_Plane - Agar-SG plane node

SYNOPSIS

    #include <agar/core.h>
    #include <agar/sg.h>

DESCRIPTION
The SG_Plane node represents a reference geometrical plane. This is useful in feature-based modeling, or as construction geometry. The SG_Plane structure itself has no parameters. The intrinsic node orientation is the normal vector (the a, b, c coefficients) of the plane, and the d coefficient is obtained from the node's world coordinates.

INHERITANCE HIERARCHY
AG_Object(3) -> SG_Node(3) -> SG_Geom(3) -> SG_Plane.

INITIALIZATION
SG_Plane * SG_PlaneNew(SG_Node *parent, const char *name)

The SG_PlaneNew() function creates a new reference plane.

SEE ALSO
M_Plane(3), M_Point(3), M_Real(3), M_Vector(3), SG(3), SG_Geom(3), SG_Intro(3), SG_Node(3)

HISTORY
The SG_Plane node class first appeared in Agar 1.6.0.